%define _bindir /bin

Summary:	The GNU versions of grep pattern matching utilities
Name:		grep
Version:	2.16
Release:	%mkrel 1
License:	GPLv3
Group:		Text tools
URL:		http://www.gnu.org/software/grep/grep.html
Source0:	ftp://ftp.gnu.org/pub/gnu/grep/%{name}-%{version}.tar.xz
Source1:	ftp://ftp.gnu.org/pub/gnu/grep/%{name}-%{version}.tar.xz.sig
BuildRequires:	gettext
BuildRequires:	pcre-devel
BuildRequires:	texinfo
BuildRequires:	bison

%description
The GNU versions of commonly used grep utilities.  Grep searches one or
more input files for lines which contain a match to a specified pattern
and then prints the matching lines.  GNU's grep utilities include grep,
egrep and fgrep.

You should install grep on your system, because it is a very useful utility
for searching through text files, for system administration tasks, etc.

%package doc
Summary:	Grep documentation in info format
Group:		Documentation
Requires(post):	info-install
Requires(preun):	info-install

%description doc
The GNU versions of commonly used grep utilities.  Grep searches one or
more input files for lines which contain a match to a specified pattern
and then prints the matching lines.  GNU's grep utilities include grep,
egrep and fgrep.

You should install grep on your system, because it is a very useful utility
for searching through text files, for system administration tasks, etc.

Install this package if you want info documentation on grep.

%prep

%setup -q
%apply_patches

%build
%configure2_5x \
    --without-included-regex \
    --enable-perl-regexp \
    --exec-prefix=/

%make

%check
make check

%install
rm -rf %{buildroot}

%makeinstall_std

%find_lang %{name}

%post doc
%_install_info %{name}.info

%preun doc
%_remove_install_info %{name}.info

%clean
rm -rf %{buildroot}

%files -f %{name}.lang
%{_bindir}/*
%{_mandir}/*/*

%files doc
%doc AUTHORS THANKS TODO NEWS README ChangeLog
%{_infodir}/*.info*




%changelog
* Fri Jan 03 2014 luigiwalser <luigiwalser> 2.16-1.mga4
+ Revision: 564043
- 2.16

* Thu Dec 05 2013 luigiwalser <luigiwalser> 2.15-1.mga4
+ Revision: 555420
- 2.15

* Fri Oct 18 2013 umeabot <umeabot> 2.14-7.mga4
+ Revision: 505224
- Mageia 4 Mass Rebuild

* Sat Jan 12 2013 umeabot <umeabot> 2.14-6.mga3
+ Revision: 352598
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sat Dec 01 2012 fwang <fwang> 2.14-5.mga3
+ Revision: 323595
- rebuild
- rebuild for new pcre

  + tmb <tmb>
    - rebuild with bs to replace manually built one

* Sun Oct 14 2012 ennael <ennael> 2.14-2.mga3
+ Revision: 305432
- Documentation group

* Tue Aug 21 2012 fwang <fwang> 2.14-1.mga3
+ Revision: 282854
- new version 2.14

* Thu Jul 05 2012 fwang <fwang> 2.13-1.mga3
+ Revision: 267831
- new version 2.13

* Mon Jun 11 2012 luigiwalser <luigiwalser> 2.12-1.mga3
+ Revision: 259589
- 2.12

* Fri Apr 06 2012 blino <blino> 2.11-2.mga2
+ Revision: 228882
- fix segfault with -r --exclude-dir and no file operand (from upstream git)

* Sat Mar 03 2012 fwang <fwang> 2.11-1.mga2
+ Revision: 217113
- new version 2.11

* Fri Nov 18 2011 boklm <boklm> 2.10-1.mga2
+ Revision: 168962
- version 2.10
- drop all patches

* Wed Jun 29 2011 tv <tv> 2.9-1.mga2
+ Revision: 116158
- new release

* Fri Jun 17 2011 tv <tv> 2.8-1.mga2
+ Revision: 109265
- new release
- fix signature URL

* Tue Jan 04 2011 tmb <tmb> 2.7-2.mga1
+ Revision: 153
- imported package grep


* Tue Jan  4 2011 Thomas Backlund <tmb@mageia.org> 2.7-2.mga1
- initial import

* Wed Sep 22 2010 Funda Wang <fwang@mandriva.org> 2.7-1mdv2011.0
+ Revision: 580499
- new version 2.7

* Sat Apr 03 2010 Tomasz Pawel Gajc <tpg@mandriva.org> 2.6.3-1mdv2010.1
+ Revision: 530875
- update to new version 2.6.3
- disable patches 100, 110 and 301 for now

  + Eugeni Dodonov <eugeni@mandriva.com>
    - Updated to 2.6.2.

* Sun Mar 28 2010 Eugeni Dodonov <eugeni@mandriva.com> 2.6.1-3mdv2010.1
+ Revision: 528538
- Added upstream patch for --exclude/--include crash.

* Sun Mar 28 2010 Eugeni Dodonov <eugeni@mandriva.com> 2.6.1-2mdv2010.1
+ Revision: 528349
- Skip multibyte check for now as it breaks on our build system.
- P200: fix failing multibyte test.
- Updated to 2.6.1.
  Sync patches.

* Wed Mar 24 2010 Eugeni Dodonov <eugeni@mandriva.com> 2.6-1mdv2010.1
+ Revision: 526985
- Updated to 2.6.
  Drop merged patches.

* Sun Mar 14 2010 Oden Eriksson <oeriksson@mandriva.com> 2.5.4-3mdv2010.1
+ Revision: 519007
- rebuild

* Wed Sep 02 2009 Christophe Fergeau <cfergeau@mandriva.com> 2.5.4-2mdv2010.0
+ Revision: 425025
- rebuild

* Tue Feb 24 2009 Tomasz Pawel Gajc <tpg@mandriva.org> 2.5.4-1mdv2009.1
+ Revision: 344581
- update to new version 2.5.4
- new license policy
- add buildrequires on bison
- patches 12 and 111 were merged by upstream
- patches 11, 13 and 109 were fixed differently by upstream
- add more docs

* Sat Dec 20 2008 Oden Eriksson <oeriksson@mandriva.com> 2.5.3-8mdv2009.1
+ Revision: 316758
- rediffed some fuzzy patches
- fix build with -Werror=format-security (P112)

* Fri Oct 10 2008 Pixel <pixel@mandriva.com> 2.5.3-7mdv2009.1
+ Revision: 291349
- fix configure issue that was breaking patch106 (thanks to ubuntu, cf #44592)

* Tue Jul 15 2008 Oden Eriksson <oeriksson@mandriva.com> 2.5.3-6mdv2009.0
+ Revision: 235868
- fix #41922 (grep : option "-i"  doesn' t work with some locales)
- added P13 from gentoo

* Sun Jul 06 2008 Oden Eriksson <oeriksson@mandriva.com> 2.5.3-5mdv2009.0
+ Revision: 232129
- fix broken tests (P4)
- added P110,P111 from debian

  + Thierry Vignaud <tv@mandriva.org>
    - rebuild

* Sat Mar 08 2008 Anssi Hannula <anssi@mandriva.org> 2.5.3-3mdv2008.1
+ Revision: 182053
- buildrequires pcre-devel for -P support (fixes #38657)

* Tue Jan 22 2008 Pixel <pixel@mandriva.com> 2.5.3-2mdv2008.1
+ Revision: 156205
- re-enable perl regexp for grep -P ("make check" do work due to patch11) (#36993)

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request

* Mon Nov 12 2007 Pixel <pixel@mandriva.com> 2.5.3-1mdv2008.1
+ Revision: 108146
- new release 2.5.3
- adapt failing tests
- remove configure option --without-included-regex (it is the default)
- add configure option --disable-perl-regexp (as done in debian)
- add patches from debian
- replace patch2 (oi: icase) with one from debian
- drop applied patches: patch3 (manpage), patch6 (P), patch9 (skip-devices)
- drop unneeded patches: patch1 (i18n), patch4 (color), patch5 (icolor)
- drop patch7 (wordmatch) hopefully fixed in 64-egf-speedup.patch
- drop patch10 and don't rename "no" to "nb" anymore
  ("nb" users should have LANGUAGE=nb:no)


* Tue Jan 30 2007 Götz Waschk <waschk@mandriva.org> 2.5.1a-2mdv2007.0
+ Revision: 115444
- Import grep

* Tue Jan 30 2007 Götz Waschk <waschk@mandriva.org> 2.5.1a-2mdv2007.1
- unpack patches

* Mon May 22 2006 Per Øyvind Karlsen <pkarlsen@mandriva.com> 2.5.1a-2mdk
- sync some fedora & suse patches
- %%mkrel
- move 'make check' to new %%check stage
- fix post & preun requires

* Wed Dec 22 2004 Per Øyvind Karlsen <peroyvind@linux-mandrake.com> 2.5.1a-1mdk
- 2.5.1a
- fix summary-ended-with-dot
- do test
- cosmetics

* Fri May 28 2004 Abel Cheung <deaddog@deaddog.org> 2.5.1-5mdk
- Drop patch0 (useless now)
- Updated patch1 from openi18n
- Don't bundle horribly outdated (4yrs+) translations
- Remove unnecessary (Build)Requires
- (Should grep use included regex library?)

